Subject: Re: bug#42753: 26.3; `info-lookup.el': Add all manuals delivered by `emacs -Q', for `emacs-lisp-mode'

From: Michael Albinus <[email-masked]>
Date: Fri, 08 Oct 2021 16:33:11 +0200

Eli Zaretskii <[email-masked]> writes:

>> Or rename the index nodes in the manuals to all follow the same naming
>> conventions...
>
> I think this alternative cannot fly, because many manuals are not
> under our control.

They are integrated in the Emacs source tree, so we could negotiate with
the maintainers. Even if we cannot change all manuals this way, the
number of exceptions in info-lookup would decrease.

I could start the discussion with the Tramp maintainer, I assume he is
willing to change. Lars could discuss the eww and gnus cases, if needed :-)

Of course, first we need to document the naming conventions.

Best regards, Michael.